<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.xuexiang.xui.widget.progress.HorizontalProgressView
        android:id="@+id/hpv_language"
        android:layout_width="match_parent"
        android:layout_height="30dp"
        android:progress = "0"
        app:hpv_end_progress="92"
        app:hpv_start_progress="0"
        app:hpv_isTracked="true"
        app:hpv_progress_duration="20"
        app:hpv_progress_textColor="#696969"
        app:hpv_progress_textVisibility="false"
        app:hpv_track_color="#f4f4f4"
        app:hpv_track_width="8dp" />

    <com.xuexiang.xui.widget.progress.materialprogressbar.MaterialProgressBar
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        android:progress="30"
        android:background="@color/textGrayColor"
        android:secondaryProgress="60"
        app:mpb_progressStyle="horizontal" />



    <com.xuexiang.xui.widget.progress.CircleProgressView
        android:id="@+id/progressView_circle_small"
        android:layout_width="90dp"
        android:layout_height="90dp"
        android:layout_marginStart="12dp"
        android:layout_marginTop="12dp"
        android:progress = "0"
        app:cpv_animate_type="AccelerateDecelerateInterpolator"
        app:cpv_circle_broken="false"
        app:cpv_end_color="#00EEFA"
        app:cpv_end_progress="78"
        app:cpv_isFilled="false"
        app:cpv_isTracked="true"
        app:cpv_progress_duration="2000"
        app:cpv_progress_textColor="#28AAFB"
        app:cpv_progress_textSize="18sp"
        app:cpv_start_color="#0052a3"
        app:cpv_start_progress="0"
        app:cpv_track_color="#22FFF5"
        app:cpv_track_width="4dp"
        app:cpv_progress_width="8dp"/>


    <com.xuexiang.xui.widget.progress.CircleProgressView
        android:id="@+id/circle_small"
        android:layout_width="90dp"
        android:layout_height="90dp"
        android:layout_marginStart="12dp"
        android:layout_marginTop="30dp"
        app:cpv_animate_type="AccelerateDecelerateInterpolator"
        app:cpv_circle_broken="false"
        app:cpv_end_color="#00EEFA"
        app:cpv_end_progress="100"
        app:cpv_isFilled="false"
        app:cpv_isGraduated="true"
        app:cpv_scaleZone_padding="10dp"
        app:cpv_scaleZone_corner_radius="3dp"
        app:cpv_scaleZone_length="20dp"
        app:cpv_scaleZone_width="5dp"
        android:progress = "0"
        app:cpv_isTracked="false"
        app:cpv_progress_duration="2000"
        app:cpv_progress_textColor="#28AAFB"
        app:cpv_progress_textSize="18sp"
        app:cpv_start_color="#0052a3"
        app:cpv_start_progress="0"
        app:cpv_track_color="#22FFF5"
        app:cpv_track_width="4dp"
        app:cpv_progress_width="8dp"/>

    <com.xunao.effectdemo.view.circleprogress.CircleProgress
        android:id="@+id/circle_progress_bar1"
        android:visibility="gone"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        app:antiAlias="true"
        app:arcWidth="20dp"
        app:bgArcColor="@color/colorAccent"
        app:bgArcWidth="20dp"
        app:hint=""
        app:hintSize="15sp"
        app:maxValue="10000"
        app:startAngle="135"
        app:sweepAngle="270"
        app:unit=""
        app:unitSize="15sp"
        app:value="10000"
        app:valueSize="25sp"/>

    <com.xunao.effectdemo.view.circleprogress.DialProgress
        android:id="@+id/dial_progress_bar"
        android:layout_width="200dp"
        android:layout_height="200dp"
        android:layout_gravity="center_horizontal"
        android:padding="10dp"
        android:progress = "0"
        app:animTime="0"
        app:arcColors="@color/colorAccent"
        app:bgArcColor="@color/textGrayColor"
        app:arcWidth="10dp"
        app:dialIntervalDegree="4"
        app:dialWidth="2dp"
        app:hint=""
        app:hintSize="25sp"
        app:maxValue="100"
        app:startAngle="-90"
        app:sweepAngle="360"
        app:unit=""
        app:unitSize="25sp"
        app:value="300"
        app:valueSize="35sp" />

    <com.xuexiang.xui.widget.picker.XSeekBar
        android:id="@+id/seek"
        android:progress = "0"
        app:xsb_max="100"
        app:xsb_min="0"
        android:layout_marginTop="20dp"
        android:layout_width="match_parent"
        android:layout_height="30dp"/>

</LinearLayout>